import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import * as Parse from "parse";
(Parse as any).serverURL = "https://web2023.fmode.cn/parse"
Parse.initialize("dev")

@Component({
  selector: 'app-contact',
  templateUrl: './contact.page.html',
  styleUrls: ['./contact.page.scss'],
})
export class ContactPage implements OnInit {


  contactId:any
  constructor(private route: ActivatedRoute,) { 
    this.route.queryParamMap.subscribe(params => {
      this.contactId = params.get('contactId')
      console.log(this.contactId)
    })
   }

  ngOnInit() {
    this.getLinkman()
  }

  profile = {
    name: '小江',
    birthday: new Date(),
    relationship: '朋友',
    gender: 'male',
    contact: '1234567890',
    hobbies: '阅读, 旅游',
    taste: '辣',
    habits: '早睡早起',
    dislikes: '嘈杂'
  };

  editProfile(field: string) {
    console.log(`Editing ${field}`);
    // 这里可以添加逻辑来弹出一个模态框或表单来编辑属性
  }

  linkman:any
  async getLinkman(){
    let query = new Parse.Query("Linkman");
    query.equalTo('objectId',this.contactId)
    query.include("user")
    this.linkman = await query.first()
    console.log(this.linkman);
  }

}
