import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-album',
  templateUrl: './album.page.html',
  styleUrls: ['./album.page.scss'],
})
export class AlbumPage implements OnInit {

  
  ngOnInit() {
  }

  imageRows: { url: string }[][];

  constructor() {
    this.imageRows = [
      [{ url: '/assets/img/man.jpg' }, { url: '/assets/img/bg.jpg' }, { url: '/assets/img/bg1.jpg' }],
      [{ url: '/assets/img/bg2.jpg' }, { url: '/assets/img/meishi1.jpg' }, { url: '/assets/img/meishi2.jpg' }],
      [{ url: '/assets/img/meishi3.jpg' }, { url: '/assets/img/meishi4.jpg' }, { url: '/assets/img/meishi5.jpg' }],
      [{ url: 'https://nova-cloud.obs.cn-south-1.myhuaweicloud.com/storage/aigc/imagine/WZtW1H4qA8-0.png' }, 
        { url: 'https://nova-cloud.obs.cn-south-1.myhuaweicloud.com/storage/aigc/imagine/ulvSLmmFcS-0.png' }, 
        { url: 'https://imgsource.huashi6.com/images/ai/2024/1/7/12_507880.jpg?e=1704601468&token=qFZErZx7WS1v5B4rgQE2KLMHlYHVNaCuXeaA9OLD:fAB98pfcpJWmX_yIN_cih-FM5GE=' }],
      [{ url: 'https://imgsource.huashi6.com/images/ai/2024/1/7/12_35609.jpg?e=1704601363&token=qFZErZx7WS1v5B4rgQE2KLMHlYHVNaCuXeaA9OLD:m10v6DHossLfoo5PrqO_IrfySk0=' }, 
        { url: 'https://imgsource.huashi6.com/images/ai/2024/1/7/12_420324.jpg?e=1704600947&token=qFZErZx7WS1v5B4rgQE2KLMHlYHVNaCuXeaA9OLD:9gq5KvhSyefb8hejiQPXxOpy5Hk=' }, 
        { url: 'https://imgsource.huashi6.com/images/ai/2024/1/7/12_457203.jpg?e=1704601112&token=qFZErZx7WS1v5B4rgQE2KLMHlYHVNaCuXeaA9OLD:3xLep_9xwPTAvTRE7qPxXjQnw6Y=' }],
    ];
  }

  toggleLayout() {
    this.imageRows = this.imageRows[0].map((col, i) => this.imageRows.map(row => row[i]));
  }
}
